package ch.loosli.protrading.equitySearcher;

import java.awt.BorderLayout;

import javax.swing.JFrame;

public class Mainframe extends JFrame{

	private static final long	serialVersionUID	= 1L;
	
	private static Mainframe instance;


	private Mainframe() {
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setTitle("EquitySearcher");
		
		addPanels();
		
		this.pack();
		this.setVisible(true);
	}
	
	
	private void addPanels() {
		EquitySearcherConfig.getInstance().display();
		EquitySearcherResultPane.getInstance().display();
		this.add(EquitySearcherConfig.getInstance(), BorderLayout.NORTH);
		this.add(EquitySearcherResultPane.getInstance(), BorderLayout.SOUTH);
		this.repaint();
		this.validate();
	}
	
	
	
	public static Mainframe getInstance() {
		if(instance == null) {
			instance = new Mainframe();
		}
		return instance;
	}
}
